import m from "../../../@babel/runtime/helpers/esm/extends.mjs";
import u from "../../../@babel/runtime/helpers/esm/objectWithoutProperties.mjs";
import * as a from "react";
import d from "../../../classnames/index.mjs";
import { MenuContext as p } from "../context/MenuContext.mjs";
var f = ["className", "children"], x = function(t, n) {
  var s = t.className, o = t.children, l = u(t, f), r = a.useContext(p), e = r.prefixCls, i = r.mode, c = r.rtl;
  return /* @__PURE__ */ a.createElement("ul", m({
    className: d(e, c && "".concat(e, "-rtl"), "".concat(e, "-sub"), "".concat(e, "-").concat(i === "inline" ? "inline" : "vertical"), s),
    role: "menu"
  }, l, {
    "data-menu-list": !0,
    ref: n
  }), o);
}, b = /* @__PURE__ */ a.forwardRef(x);
b.displayName = "SubMenuList";
export {
  b as default
};
